Bug 144680 - UI After opening MM document the Save/Print/Send buttons are disabled on the toolbar
Summary: UI After opening MM document the Save/Print/Send buttons are disabled on the ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.3.0.4 release
Hardware: All All
: medium normal
Assignee: Justin L
URL:
Whiteboard: target:7.4.0 target:7.3.0.0.beta2
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Mail-Merge
  Show dependency treegraph
 
Reported: 2021-09-23 14:05 UTC by NISZ LibreOffice Team
Modified: 2021-12-15 11:38 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of the problem in Writer (17.71 KB, image/png)
2021-09-23 14:05 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2021-09-23 14:05:47 UTC
Created attachment 175222 [details]
Screenshot of the problem in Writer

When a Mail merge document is opened and there is data source information saved in it, one may assume reopening it 

Steps to reproduce:
    1. Set up a mail merge document with the attachment 174941 [details] and attachment 174942 [details]
    2. Make sure you can browse the items with the Mail merge toolbars Next / Previous buttons
    3. Close and reopen the document.

Actual results:
Toolbar buttons are disabled, you need to click the First/Previous/Next/Last record buttons to enable them: Edit Individual Documents, Save Merged Documents, Print Merged Documents, Send Email Messages.

Expected results:
The four buttons should be active upon opening the document.
Internal testing showed that it’s not intuitive that you have to step among the items before starting the actual merge.
It would be more intuitive to have these icons enabled by default and then they should be able to open the data connection like the navigation buttons do when the user clicks them. (also considering the bibisected issue in bug 121606)

LibreOffice details:
Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 00eed7d73ba482ff3433afaeb1fb968de515c09d
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL

Additional Information:
Bibisected using bibisect-win32-6.3 to:
URL: https://cgit.freedesktop.org/libreoffice/core/commit/?id=60714a814847f6d10f00aa6809a3896a48741e0b 

author	Mike Kaganski <mike.kaganski@collabora.com>	2018-12-06 23:36:04 +0300
committer	Mike Kaganski <mike.kaganski@collabora.com>	2018-12-07 05:51:38 +0100
commit	60714a814847f6d10f00aa6809a3896a48741e0b (patch)

tdf#121606: displaying Mail Merge toolbar shouldn't activate connection

Adding CC to: Mike Kaganski
Comment 1 Heiko Tietze 2021-09-29 11:16:03 UTC
Yes, the initialization should be completed on loading.
Comment 2 Justin L 2021-12-09 18:41:30 UTC
Proposed fix at http://gerrit.libreoffice.org/c/core/+/126625
Comment 3 Commit Notification 2021-12-10 06:15:16 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/9a115a254171d702a56a93c5c7e320de755dc8e8

tdf#144680 mailmerge toolbar: enable icons unless no resultset

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2021-12-10 11:27:55 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/16376cae68f4406ef9440bdcb7b9617de6a6f998

tdf#144680 mailmerge toolbar: disable all icons if no resultset

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2021-12-11 05:07:53 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/b1ab885437bfb08468601db9453cd036d6526de3

tdf#144680 mailmerge toolbar: enable icons unless no resultset

It will be available in 7.3.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 BogdanB 2021-12-15 11:38:31 UTC
Thanks for fixing this. I have seen this bug for a long time, but never reported. I'm glad is is solved now.